Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453527 - Inifiniband support should be built as a separate loadable module
Summary: Inifiniband support should be built as a separate loadable module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 1.0
Hardware: All
OS: Linux
high
medium
Target Milestone: 1.1
: ---
Assignee: Andrew Stitcher
QA Contact: Kim van der Riet
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-01 08:00 UTC by Gordon Sim
Modified: 2009-02-04 15:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-04 15:35:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:0035 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging 1.1 Release 2009-02-04 15:33:44 UTC

Description Gordon Sim 2008-07-01 08:00:50 UTC
Want to avoid having the rdma libs as a dependency for all installations.
Important to allow both tcp and rdma to be used from the same client.

Comment 1 Frantisek Reznicek 2008-10-31 16:04:44 UTC
No test info. How to verify that ifb module exists? Putting NEEDINFO FLAG.

Comment 2 Gordon Sim 2008-11-05 17:44:40 UTC
You can run the usual c++ client tests over IB by specifying the protocol. E.g.

perftest -P rdma --count 1000

That assumes you are testing on a box with IB configured (e.g. many of the mrg boxes).

We don't have a test yet that will test simulataneous connections over different protocols in the same client process. That could be written by copying e.g. client test and adding in an extra connection where the protocol on the ConnectionSettings is set to rdma.

Comment 3 Andrew Stitcher 2008-11-05 21:05:54 UTC
If you want to check that rdma is a built as a loadable module then run qpidd thus:

qpidd -logging-enable info+

If rdma is a loadable module you will see a line like:

2008-nov-05 16:03:51 info Loaded Module: /usr/lib64/qpid/daemon/rdma.so

Then you can test that rdma actually works using gordons test.

The simplest way to test simultaneous tcp/rdma access to broker is to run perftest over rdma whilst connecting using qpid-tool which can only use tcp.

Comment 5 David Sommerseth 2008-12-08 20:19:39 UTC
Found these modules being loaded on startup:
/usr/lib64/qpid/client/rdmaconnector.so
/usr/lib64/qpid/daemon/rdma.so

perftest -P rdma worked as well.

Started qpidd with --no-module-dir and tried perftest -P rdma, and it failed.

Comment 7 errata-xmlrpc 2009-02-04 15:35:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html


Note You need to log in before you can comment on or make changes to this bug.